wx-ssh-sign(){
    echo "       >> SSH / Sign <<       "
    echo "------------------------------"

    if [[ $ORG == "warengroup" ]]
    then
        wx-ssh-sign-create warengroup sysadmin 3600
    elif [[ $ORG == "cwinfo" ]]
    then
        wx-ssh-sign-create cwinfo sysadmin 3600
    elif [[ $ORG == "cwchristerw" ]]
    then
        wx-ssh-sign-create warengroup sysadmin 3600
        wx-ssh-sign-create cwinfo sysadmin 3600
        wx-ssh-sign-create cwchristerw sysadmin 3600
    fi
}

wx-ssh-sign-create(){
    NAME=$1
    ROLE=$2
    PRINCIPALS=$2
    TTL=$3

    if [[ ! -f "$HOME/.ssh/keys/$NAME" ]]
    then
        ssh-keygen -t ed25519 -f $HOME/.ssh/keys/$NAME -q -N "" -C "$USER" &> /dev/null
    fi

    if [[ -f "$HOME/.ssh/keys/$NAME" ]]
    then
        echo "$NAME/$ROLE"
        echo $(curl https://$VAULT_DOMAIN/v1/ssh/sign/$ROLE -X POST --header "X-Vault-Token: ${config["login",$ORG]}" -d "{ \"public_key\": \"$(cat $HOME/.ssh/keys/$NAME.pub)\", \"valid_principals\": \"$PRINCIPALS,$USER\", \"ttl\": \"$TTL\" }" -s | jq -r '.data.signed_key') > ~/.ssh/keys/$NAME.sig 2>&1
    fi
}
